# Annotation Glossary

### C

constructor

  This symbol is a constructor, not a static method.

### E

element-type

  Generics and defining elements of containers and arrays.

### M

method

  This is a method

### N

nullable

  NULL may be passed as the value in, out, in-out; or as a return value.

### S

scope call

  The callback is valid only during the call to the method.

skip

  Exposed in C code, not necessarily available in other languages.

### T

transfer container

  The caller owns the data container, but not the data inside it.

transfer full

  The caller owns the data, and is responsible for free it.

transfer none

  The data is owned by the callee, which is responsible of freeing it.

type

  Override the parsed C type with given type.